VAST 8.0.1 / Seaside: Using the JQuery UI Plugins


If you want to use some of the JQuery UI plugins on VASTGoodies.com repository, you might get an exception like this:

JQUIPluginAutocomplete class does not Understand: #on:

It’s easy to solve. Just change the method:

JQueryInstance>>#autocomplete (or the one for your plugin) from:

autocomplete
^JQUIPluginAutocomplete on: self

to:

autocomplete
^ self create: JQUIPluginAutocomplete

It works like a charm afterwards. Seems like some JQuery API has changed in Seaside 3.0 between alpha 1 and alpha 5…